PDF Nomad 2.4.2PDF Nomad 2.4.2
PDF Nomad - the Versatile PDF Editor
Download
de en fr nl pt 
PDFNomad_2.4.2.zip

System Require­ments: OS X 10.8 (Mountain Lion) or higher
Not compatible with macOS 10.12 (Sierra).

System Require­ments: OS X 10.8 (Mountain Lion) or higher

(43217 kB, Built 04/12/2016)
New in PDF Nomad 2.4.2:
  • Fixed: Bug fixes for increased stability.
New in PDF Nomad 2.4.1:
  • New: Options to show finishing marks in Booklet Editor.
  • Fixed: Bug fixes for increased stability and other minor enhancements.
New in PDF Nomad 2.4:
  • New: Multiline Form Fields. Now you can create forms ...
  • New: Resize all pages to their crop box size ...
[More ...]
System Require­ments:
OS X 10.8 (Mountain Lion) or higher